Upstream information

CVE-2010-3680 at MITRE

Description

Oracle MySQL 5.1 before 5.1.49 allows remote authenticated users to cause a denial of service (mysqld daemon crash) by creating temporary tables with nullable columns while using InnoDB, which triggers an assertion failure.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 637499 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.2
  • libmysqlclient16-debuginfo >= 5.1.49-0.1.1
  • libmysqlclient16-debuginfo-32bit >= 5.1.49-0.1.1
  • libmysqlclient_r16-debuginfo >= 5.1.49-0.1.1
  • libmysqlclient_r16-debuginfo-32bit >= 5.1.49-0.1.1
  • mysql-bench-debuginfo >= 5.1.49-0.1.1
  • mysql-client-debuginfo >= 5.1.49-0.1.1
  • mysql-debug-debuginfo >= 5.1.49-0.1.1
  • mysql-debuginfo >= 5.1.49-0.1.1
  • mysql-debugsource >= 5.1.49-0.1.1
  • mysql-ndb-extra-debuginfo >= 5.1.49-0.1.1
  • mysql-ndb-management-debuginfo >= 5.1.49-0.1.1
  • mysql-ndb-storage-debuginfo >= 5.1.49-0.1.1
  • mysql-ndb-tools-debuginfo >= 5.1.49-0.1.1
  • mysql-test-debuginfo >= 5.1.49-0.1.1
  • mysql-tools-debuginfo >= 5.1.49-0.1.1
openSUSE 11.2
  • libmysqlclient-devel >= 5.1.49-0.1.1
  • libmysqlclient16 >= 5.1.49-0.1.1
  • libmysqlclient16-32bit >= 5.1.49-0.1.1
  • libmysqlclient_r16 >= 5.1.49-0.1.1
  • libmysqlclient_r16-32bit >= 5.1.49-0.1.1
  • libmysqld-devel >= 5.1.49-0.1.1
  • mysql >= 5.1.49-0.1.1
  • mysql-bench >= 5.1.49-0.1.1
  • mysql-client >= 5.1.49-0.1.1
  • mysql-debug >= 5.1.49-0.1.1
  • mysql-ndb-extra >= 5.1.49-0.1.1
  • mysql-ndb-management >= 5.1.49-0.1.1
  • mysql-ndb-storage >= 5.1.49-0.1.1
  • mysql-ndb-tools >= 5.1.49-0.1.1
  • mysql-test >= 5.1.49-0.1.1
  • mysql-tools >= 5.1.49-0.1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 mysql Released
SUSE Linux Enterprise Desktop 11 GA mysql Affected
SUSE Linux Enterprise Desktop 11 SP1 mysql Released
SUSE Linux Enterprise SDK 11 GA mysql Affected
SUSE Linux Enterprise SDK 11 SP1 mysql Released
SUSE Linux Enterprise Server 10 SP3 mysql Released
SUSE Linux Enterprise Server 11 SP1 mysql Released
SUSE Linux Enterprise Server 11 SP1 LTSS mysql Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 mysql Released